//Version 0.1

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JComboBox;
import javax.swing.JFormattedTextField;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class CopulaLine extends JPanel implements ActionListener 
{

	private static final long serialVersionUID = 1L;
	JComboBox CopulaType;
	JTextField[] parameters;

	static int[] nbParam  = { 0,1};
	static String[] choice = { 
	 "Gaussian Copula"
	,"Student Copula (No. of degrees of freedom)"
	};
	

	public int getType() {
		return CopulaType.getSelectedIndex();
	}
	public void setType(int i) {
		CopulaType.setSelectedIndex(i);
	}
	public void setType(int i,String s) {
		CopulaType.setSelectedIndex(i);
		parameters[0].setText(s);		

	}
	public CopulaLine()
	{		
		CopulaType = new JComboBox(choice);
		CopulaType.addActionListener(this);
		parameters = new JTextField[0];
		this.add(CopulaType);
	}
	public int getNb()
	{
		return (parameters.length);
	}


	public String getField(int il)
	{
		return (parameters[il].getText());
	}


	public void actionPerformed(ActionEvent e) {

		if (e.getSource() == CopulaType) {
			int wantedParam=nbParam[CopulaType.getSelectedIndex()];
			
			this.removeAll();
			this.add(CopulaType);
			parameters = new JTextField[wantedParam];

			for(int ii=0;ii<wantedParam;ii++)
			{
				parameters[ii] = new JFormattedTextField();
				parameters[ii].setColumns(5);
				parameters[ii].setText("1");		
				this.add(parameters[ii]);
			}
			this.updateUI();


		}
	}
	public void setField(int i, String s) {
		parameters[i].setText(s);	
	}
}

